Subject: bug#36405: 26.2.90; O_PATH problem on some versions of Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jun 2019 09:25:02 +0300

> From: Paul Eggert <[email-masked]>
> Date: Thu, 27 Jun 2019 13:47:27 -0700
> Cc: [email-masked]
> 
> Thanks, but that patch intrudes on the mainline code a bit. It's simpler 
> to just disable O_PATH on Cygwin until the old Cygwin versions die out. 

IMO, that's too drastic.  Cygwin 3 is quite new, AFAIK, so it will be
years and years before the old versions die out; no one will remember
this bit by then.

What problems did you see/envision on other platforms with the
original patch?